# -*- coding: iso-8859-1 -*-
from Plugins.Plugin import PluginDescriptor
from Components.config import config, ConfigSubsection, ConfigEnableDisable
from Screens.Standby import Standby
from StartupToStandbyConfiguration import StartupToStandbyConfiguration
from eBaseImpl import eTimer
from Tools import Notifications

config.plugins.startuptostandby = ConfigSubsection()
config.plugins.startuptostandby.enabled = ConfigEnableDisable(default = False)



class StartupToStandbyTimer:

	def standbyCallback(self):
		print "[StartupToStandby] standbyCallback"
		self.standbyTimer.stop()
		self.session.open(Standby)
	
	def __init__(self,session):
		self.session = session
		self.standbyTimer = eTimer()
		self.standbyTimer.callback.append(self.standbyCallback)
		self.standbyTimer.start(20000)

	def __del__(self):
		pass

def main(session, **kwargs):
	print "[StartupToStandby] Open Config Screen"
	session.open(StartupToStandbyConfiguration)

# sessionstart
def sessionstart(reason, session = None):
	print "[StartupToStandby] autostart"
	if config.plugins.startuptostandby.enabled.value and reason == 0:
		StartupToStandbyTimer(session)
		
def Plugins(path, **kwargs):
	return [PluginDescriptor(name="StartupToStandby", description="Startup To Standby", where = PluginDescriptor.WHERE_PLUGINMENU, fnc = main, needsRestart = False),
			PluginDescriptor(name="StartupToStandby", description = "Startup To Standby", where = PluginDescriptor.WHERE_SESSIONSTART, fnc = sessionstart, needsRestart = False, weight = -1)]

